
desc 'ManagerLib 使用这个航道 可以快速的对自己的私有库,进行升级维护'
lane :ManagerLib do |options|

tagName = options[:tag]
targetName = options[:target]

#具体航道上面执行哪些行为

# 1. pod install

cocoapods(
clean: true,
podfile: "./Example/Podfile"
)

# 2. git add .

git_add(path: ".")

#    git commit

git_commit(path: ".", message: "MKRAVplayer 添加即将切换播放资源代理方法")

#    git push origin master

push_to_git_remote

# 验证tag是否存在 ,如果存在,应该删除本地标签和远程标签

#if 判断标签是否存在
#执行删除本地/远程标签
#end

if git_tag_exists(tag: tagName)
UI.message("发现tag:#{tagName}已经存在,即将执行删除动作🚀")
remove_tag(tag:tagName)
end

# 3. git tag 标签名称

add_git_tag(
tag: tagName
)

#    git push --tags

push_git_tags

# 4. pod spec lint
# pod lib lint --sources='http://60.205.190.38:9000/iOS/MKRPodSpecs.git,https://github.com/CocoaPods/Specs.git' --use-libraries --allow-warnings


pod_lib_lint(allow_warnings: true)

#    pod repo push XXX  xxx.podspec
pod_push(path: "#{targetName}.podspec", repo: "MKRPodSpecs", allow_warnings: true)

end
